#ifndef MAX41470_H__
#define MAX41470_H__

#include <stddef.h>
#include <stdint.h>

#define MAX41470_SPI MXC_SPI1
#define MAX41470_SPI_IRQn SPI1_IRQn

#define MAX41470_CS_GPIO MXC_GPIO2
#define MAX41470_CS_PIN MXC_GPIO_PIN_6

#define MAX41470_PWDN_GPIO MXC_GPIO1
#define MAX41470_PWDN_PIN MXC_GPIO_PIN_6

#define MAX41470_DATA_GPIO MXC_GPIO1
#define MAX41470_DATA_PIN MXC_GPIO_PIN_7

#define MAX41470_DCLK_GPIO MXC_GPIO0
#define MAX41470_DCLK_PIN MXC_GPIO_PIN_24

int MAX41470_Init();
int MAX41470_WriteReg(uint8_t addr, uint8_t* value, size_t valueSize);

#endif